Subject: Re: bug#58268: 29.0.50; message-box appearing in center of other X window

From: Jean Louis <[email-masked]>
Date: Wed, 5 Oct 2022 21:54:16 +0300

* Po Lu <[email-masked]> [2022-10-03 15:35]:
> Jean Louis <[email-masked]> writes:
> 
> > I do not think that this is related to Window Manager, but it could
> > be. However, I do expect from Emacs to know which is the Emacs' X window
> > and to center the frame of `message-box' within the Emacs frame, and not
> > XTerm frame which did not even have mouse focus. 
> >
> > Here is screen record:
> > https://gnu.support/files/tmp/2022-10-03/2022-10-03-09:18:37.ogv
> 
> Have you tried building with some other toolkit, such as Motif?
> Also, what window manager is that?

I will not change to other toolkit.

I did try that, but I will not change to that toolkit because of
message-box appearing in other window.

This is IceWM.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/